<!DOCTYPE html>
<html lang="en">

<head>
    <%- include('./partials/head.ejs') %>
        <title>Feeds</title>
</head>

<body>
    <%- include('./partials/sidebar.ejs') %>

        <div class="page-content pt-3 pl-1 pr-1" id="content">

            <div class="container">
                <div class="row justify-content-md-center">
                    <div class="col-lg-8 pr-3">
                        <div class="d-md-flex">
                            <%- include('./partials/search.ejs') %>

                                <!-- Post button -->
                                <div class="d-flex bd-highlight mt-3">
                                    <div class="p-2 bd-highlight">
                                        <img src="/public/img/ava_dipta.png" alt="" width="60" height="60"
                                            class="mr-3 rounded-circle img-thumbnail shadow-sm">
                                    </div>
                                    <div class="p-2 flex-grow-1 bd-highlight">
                                        <form action="">
                                            <div class="input-group ml-1 mb-3 border rounded-pill p-1">
                                                <div class="input-group-prepend border-0">
                                                    <button id="button-addon4" type="button"
                                                        class="btn btn-link text-info"><a href="/feeds/create-post"><i
                                                                class="fa fa-edit"></i></a></button>
                                                </div>
                                                <input type="write" placeholder="Start a post"
                                                    aria-describedby="button-addon4"
                                                    class="form-control bg-none border-0 ml-1">
                                            </div>
                                        </form>
                                    </div>
                                </div>
                                <!-- End Post Button -->



                                <div class="d-flex bd-highlight my-3">
                                    <div class="mr-auto p-2 bd-highlight"><span style="font-weight: 700;"> Feeds</span>
                                    </div>
                                    <div class="p-2 bd-highlight mx-3">
                                        <a href="http://">All</a>
                                    </div>
                                    <div class="p-2 bd-highlight mx-3">Following</div>
                                    <div class="p-2 bd-highlight mx-3">Newest</div>
                                    <div class="p-2 bd-highlight ml-3">Popular</div>
                                </div>


                                <div class="row align-items-center">
                                    <% post.forEach(data=> { %>
                                        <div class="col-6">
                                            <div class="card" style="min-height: 500px; margin-bottom: 35px;">
                                                <img src="http://bloggie-backend.herokuapp.com/<%= data.imagePost %>"
                                                    class="card-img-top" alt="<%= data.User.username %>" width="100%"
                                                    height="200px">

                                                <!-- Edit & delete button -->
                                                <!-- <div class="action">
                                                <div class="edit-btn" onclick="menuToggle();">
                                                    <i class="fa fa-pen"></i>
                                                </div>
                                                <div class="menu">
                                                    <ul>
                                                        <li><i class="fa fa-pen"></i><a href="http://"> Edit
                                                                Post</a></li>
                                                        <li><i class="fas fa-trash-alt"></i><a href="http://">
                                                                Delete Post</a></li>
                                                    </ul>
                                                </div>
                                            </div> -->

                                                <div class="card-body">
                                                    <div class="media d-flex mb-3">
                                                        <img loading="lazy"
                                                            src="http://bloggie-backend.herokuapp.com/<%= data.User.imageProfile %>"
                                                            alt="<%= data.User.username %>" width="40" height="40"
                                                            class="mr-3 rounded-circle img-thumbnail shadow-sm">
                                                        <div class="media-body">
                                                            <h4 class="m-0">
                                                                <%= data.User.fullName %>
                                                            </h4>
                                                            <p class="font-weight-normal mb-0">@<%= data.User.username
                                                                    %>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <h5 class="card-title">
                                                        <%= data.title %>
                                                    </h5>
                                                    <p class="card-text">
                                                        <%= data.content %>
                                                    </p>
                                                    <a href="/post/<%= data.id %>" class="btn btn-primary">Read
                                                        more</a>
                                                    <i class="fas fa-heart mr-1 ml-5"></i>30
                                                    <i class="fas fa-comment-dots mr-1 ml-2"></i>28
                                                    <i class="fas fa-share mr-1 ml-2"></i>5
                                                </div>
                                            </div>
                                        </div>
                                        <% }) %>
                                </div>
                        </div>

                        <%- include('./partials/rightNav.ejs') %>
                            <%- include('./partials/logout.ejs') %>
                                <%- include('./partials/term.ejs') %>
                                    <%- include('./partials/help.ejs') %>
                                        <%- include('./partials/about.ejs') %>
                    </div>
                </div>
            </div>
        </div>
        <!-- End demo content -->
        <script>
            function menuToggle() {
                const toggleMenu = document.querySelector('.menu');
                toggleMenu.classList.toggle('active')
            }
        </script>

        <%- include('./partials/script.ejs') %>
</body>

</html>